<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- qt-plugin_support-module.qdoc -->
  <title>Qt.plugin_support QML Type | Qbs Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qbs Manual</a></td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right">Qbs 1.15.0</td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
<p class="naviNextPrevious headerNavi">
</p><p/>
<div class="sidebar">
<div class="toc">
<h3><a name="toc">Contents</a></h3>
<ul>
<li class="level1"><a href="#properties">Properties</a></li>
<li class="level1"><a href="#details">Detailed Description</a></li>
</ul>
</div>
<div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">Qt.plugin_support QML Type</h1>
<span class="subtitle"></span>
<!-- $$$Qt.plugin_support-brief -->
<p>Allows to fine-tune which Qt plugins get pulled in. <a href="#details">More...</a></p>
<!-- @@@Qt.plugin_support -->
<div class="table"><table class="alignedsummary">
<tr><td class="memItemLeft rightAlign topAlign"> Import Statement:</td><td class="memItemRight bottomAlign"> import QbsModules .</td></tr><tr><td class="memItemLeft rightAlign topAlign"> Since:</td><td class="memItemRight bottomAlign"> Qbs 1.13.0</td></tr></table></div><ul>
<li><a href="qml-qbsmodules-qt-plugin-support-members.html">List of all members, including inherited members</a></li>
</ul>
<a name="properties"></a>
<h2 id="properties">Properties</h2>
<ul>
<li class="fn"><b><b><a href="qml-qbsmodules-qt-plugin-support.html#allPluginsByType-prop">allPluginsByType</a></b></b> : var</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qt-plugin-support.html#defaultPluginsByType-prop">defaultPluginsByType</a></b></b> : var</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qt-plugin-support.html#linkPlugins-prop">linkPlugins</a></b></b> : bool</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qt-plugin-support.html#pluginsByType-prop">pluginsByType</a></b></b> : varList</li>
</ul>
<!-- $$$Qt.plugin_support-description -->
<a name="details"></a>
<h2 id="details">Detailed Description</h2>
<p>The <code>Qt.plugin_support</code> module provides properties that allow users to control which Qt plugins to pull into a product. This is mostly relevant if Qt was built statically, in which case the respective plugins are static libraries that get linked into your application or library.</p>
<!-- @@@Qt.plugin_support -->
<h2>Property Documentation</h2>
<!-- $$$allPluginsByType -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="allPluginsByType-prop">
<td class="tblQmlPropNode"><p>
<span class="qmlreadonly">[read-only] </span><span class="name">allPluginsByType</span> : <span class="type">var</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>Provides the complete set of plugins in a statically built Qt. The value is a map. The keys are the plugin types, and the values are lists of plugin names.</p>
</div></div><!-- @@@allPluginsByType -->
<br/>
<!-- $$$defaultPluginsByType -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="defaultPluginsByType-prop">
<td class="tblQmlPropNode"><p>
<span class="qmlreadonly">[read-only] </span><span class="name">defaultPluginsByType</span> : <span class="type">var</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>Provides the set of plugins that your application or library will link to if you do not set <a href="qml-qbsmodules-qt-plugin-support.html#pluginsByType-prop">pluginsByType</a>. The value is a map. The keys are the plugin types, and the values are lists of plugin names. The value depends on the Qt modules your product pulls in.</p>
</div></div><!-- @@@defaultPluginsByType -->
<br/>
<!-- $$$linkPlugins -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="linkPlugins-prop">
<td class="tblQmlPropNode"><p>
<span class="name">linkPlugins</span> : <span class="type">bool</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>Controls whether plugins of a statically built Qt should be linked into the product.</p>
<p>Default: <code>true</code> if the product is an application or shared library, <code>false</code> otherwise.</p>
</div></div><!-- @@@linkPlugins -->
<br/>
<!-- $$$pluginsByType -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="pluginsByType-prop">
<td class="tblQmlPropNode"><p>
<span class="name">pluginsByType</span> : <span class="type">varList</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>Set this property if you want to override the set of plugins for a certain plugin type. For instance, to disable all image plugins except the JPEG one:</p>
<pre class="cpp">

  <span class="type">Qt</span><span class="operator">.</span>plugin_support<span class="operator">.</span>pluginsByType: ({imageformats: <span class="string">&quot;qjpeg&quot;</span>})

</pre>
<p>For plugin types that are not specifically overridden like this, the value in <a href="qml-qbsmodules-qt-plugin-support.html#defaultPluginsByType-prop">defaultPluginsByType</a> is used.</p>
<p>Default: Undefined</p>
</div></div><!-- @@@pluginsByType -->
<br/>
<p class="naviNextPrevious footerNavi">
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2020 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br/>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br/>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
